// Copyright (c) 2023 mStar
// 
// Licensed under the EUPL, Version 1.2
// 
// You may not use this work except in compliance with the Licence.
// You should have received a copy of the Licence along with this work. If not, see:
// <https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12>.
// See the Licence for the specific language governing permissions and limitations under the Licence.
// 

use anyhow::Error;

mod objects;
mod apis;
mod storage;
mod guardian;
mod config;
mod webui;
mod error;


#[tokio::main]
async fn main() -> Result<(), Error> {
    let conf = config::read_from_env()?;
    let _db = storage::establish_connection(&conf.database_path)?;
    Ok(())
}