// Copyright (c) 2023 mStar
// 
// Licensed under the EUPL, Version 1.2
// 
// You may not use this work except in compliance with the Licence.
// You should have received a copy of the Licence along with this work. If not, see:
// <https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12>.
// See the Licence for the specific language governing permissions and limitations under the Licence.
// 

use activitypub_federation::{kinds::actor::PersonType, fetch::object_id::ObjectId, protocol::public_key::PublicKey};
use serde_derive::{Deserialize, Serialize};
use url::Url;

use crate::storage::pg_models::PersonPG;


#[derive(Debug, Clone, Serialize, Deserialize)]
#[serde(rename_all = "camelCase")]
pub struct Person {
    pub kind: PersonType,
    pub preferred_username: String,
    pub id: ObjectId<PersonPG>,
    pub inbox: Url,
    pub public_key: PublicKey,
}

pub trait IntoPerson {
    fn into_person(&self) -> Person;
}