use activitypub_federation::{kinds::object::NoteType, fetch::object_id::ObjectId};
use serde_derive::{Deserialize, Serialize};
use url::Url;

use crate::storage::pg_person::PersonPG;

#[derive(Deserialize, Serialize, Debug)]
pub struct Post {
    #[serde(rename = "type")]
    pub kind: NoteType,
    pub id: ObjectId<>,
    pub(crate) attributed_to: ObjectId<PersonPG>,
    #[serde(deserialize_with = "deserialize_one_or_many")]
    pub(crate) to: Vec<Url>,
    pub content: String,
    pub in_reply_to: Option<ObjectId<>>,
    tag: Vec<Mention>
}

#[derive(Clone, Debug, Deserialize, Serialize)]
pub struct Mention {
    pub href: Url,
    #[serde(rename = "type")]
    pub kind: MentionType,
}